## pike8.0 8.0.164

=== refdoc/Makefile ===
#
# Main Makefile for extracting AutoDoc mk II to XML
#
# Henrik Grubbstrm 2001-02-02
#

BUILDDIR=
DESTDIR=
PIKE=pike

all: modref traditional

pike.ida.liu.se: modref pelix_modref traditional

caudium.net: modref caudium_modref traditional

# These are the actual build targets for making manuals...

modref: $(BUILDDIR)/modref.xml structure/modref.css structure/modref.html \
	  presentation/make_html.pike presentation/tree-split-autodoc.pike
	@$(MAKE) PIKE="$(PIKE)" BUILDDIR="$(BUILDDIR)" DESTDIR="$(DESTDIR)" low_modref

module_modref: $(BUILDDIR)/module_modref.xml structure/modref.css structure/module_modref.html \
	  presentation/make_html.pike presentation/tree-split-autodoc.pike
	@$(MAKE) PIKE="$(PIKE)" BUILDDIR="$(BUILDDIR)" DESTDIR="$(DESTDIR)" low_module_modref

low_module_modref:
	-rm -rf $(DESTDIR)modref
	@mkdir $(DESTDIR)modref
	@cp structure/modref.css $(DESTDIR)modref/style.css
	@$(PIKE) presentation/tree-split-autodoc.pike \
	  $(BUILDDIR)/module_modref.xml structure/module_modref.html $(DESTDIR)modref predef
	@mkdir $(DESTDIR)modref/images
	-cp $(BUILDDIR)/doc_build/images/* $(DESTDIR)modref/images
	@for file in pike_logo.gif next.gif prev.gif unit.gif \
          pike_line_left.gif pike_line_middle.gif pike_line_right.gif ; do \
	  cp src_images/$$file $(DESTDIR)modref/images/ ; done

low_modref:
	-rm -rf $(DESTDIR)modref
	@test -d $(DESTDIR)modref || mkdir modref
	@cp structure/modref.css modref/style.css
	@$(PIKE) presentation/tree-split-autodoc.pike \
	  $(BUILDDIR)/modref.xml structure/modref.html $(DESTDIR)modref predef
	@test -d $(DESTDIR)modref/images || mkdir $(DESTDIR)modref/images
	-cp $(BUILDDIR)/doc_build/images/* $(DESTDIR)modref/images
	@for file in pike_logo.gif next.gif prev.gif unit.gif \
          pike_line_left.gif pike_line_middle.gif pike_line_right.gif ; do \
	  cp src_images/$$file $(DESTDIR)modref/images/ ; done

pelix_modref: $(BUILDDIR)/modref.xml structure/pelix_modref.html \
	        presentation/make_html.pike presentation/tree-split-autodoc.pike
	@$(MAKE) PIKE="$(PIKE)" BUILDDIR="$(BUILDDIR)" low_pelix_modref

low_pelix_modref:
	-rm -rf pelix_modref
	@mkdir pelix_modref
	@$(PIKE) presentation/tree-split-autodoc.pike \
	  $(BUILDDIR)/modref.xml structure/pelix_modref.html pelix_modref predef
	@mkdir pelix_modref/images
	cp $(BUILDDIR)/doc_build/images/* pelix_modref/images

caudium_modref: $(BUILDDIR)/modref.xml structure/caudium_modref.html \
		presentation/make_html.pike presentation/tree-split-autodoc.pike
	@$(MAKE) PIKE="$(PIKE)" BUILDDIR="$(BUILDDIR)" low_caudium_modref

low_caudium_modref:
	-rm -rf caudium_modref
	@mkdir caudium_modref
	@$(PIKE) presentation/tree-split-autodoc.pike \
	  $(BUILDDIR)/modref.xml structure/caudium_modref.html caudium_modref predef
	@mkdir pelix_modref/images
	cp $(BUILDDIR)/doc_build/images/* caudium_modref/images

one_page: onepage $(BUILDDIR)/onepage.xml presentation/make_html.pike
	@$(MAKE) PIKE="$(PIKE)" BUILDDIR="$(BUILDDIR)" low_one_page

low_one_page:
	cp $(BUILDDIR)/doc_build/images/* onepage/
	@$(PIKE) presentation/make_html.pike --img= $(BUILDDIR)/onepage.xml

traditional: traditional_manual $(BUILDDIR)/traditional.xml presentation/make_html.pike
	@$(MAKE) PIKE="$(PIKE)" BUILDDIR="$(BUILDDIR)" DESTDIR="$(DESTDIR)" low_traditional

low_traditional:
	cp $(BUILDDIR)/doc_build/images/* $(DESTDIR)traditional_manual/images/
	@$(PIKE) presentation/make_html.pike --dest=$(DESTDIR) --img=images/ $(BUILDDIR)/traditional.xml

# Sub targets used by the above targets.

always:

images: $(BUILDDIR)/doc_build/src/post_modules/GTK/refdoc/images
	@cp ../src/post_modules/GTK/refdoc/images/*.png \
	  $(BUILDDIR)/doc_build/src/post_modules/GTK/refdoc/images

# Directories

onepage:
	@test -d onepage || mkdir onepage

traditional_manual:
	@test -d traditional_manual || mkdir traditional_manual
	@test -d traditional_manual/images || mkdir traditional_manual/images


# Development targets

touch-mirardoc:
	@touch `grep -r \\*\\*\! ../src/modules/* | cut -d: -f1 | \
	  uniq`
	@touch `grep -r "//\! module" ../lib/modules/* | cut -d: -f1 | \
	  uniq`


# Cleanup

clean:
	-rm -r modref onepage traditional_manual pelix_modref autodoc.xml

=== debian/changelog ===
pike8.0 (8.0.164-1ubuntu0.1) xenial; urgency=medium

  * Convert triggers to noawait (LP: #1780996) - the trigger is only building
    a cache, pike uses the source otherwise, so it's safe to have stuff not
    wait for it.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 16 Jul 2018 11:06:27 +0200

pike8.0 (8.0.164-1build1) xenial; urgency=medium

  * Rebuild against libmysqlclient20.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 05 Apr 2016 12:50:49 +0000

pike8.0 (8.0.164-1) unstable; urgency=low

  * New upstream release.
  * Drop freetype_2.6_typeof.patch; incorporated upstream.
  * Merge pike8.0-manual and pike8.0-reference.

 -- Magnus Holmgren <holmgren@debian.org>  Tue, 09 Feb 2016 21:33:00 +0100

pike8.0 (8.0.28-4) unstable; urgency=low

  * Update Homepage URL to http://pike.lysator.liu.se.
  * freetype_2.6_typeof.patch (new): Fix FTBFS with Freetype 2.6.
  * Replace dh_clean -k with dh_prep.
  * Merge changes from 7.8.866-3 (except Kerberos modules are in
    pike8.0-kerberos).

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 20 Sep 2015 20:05:50 +0200

pike7.8 (7.8.866-4) unstable; urgency=medium

  * Update Homepage URL to http://pike.lysator.liu.se.
  * freetype_2.6_typeof.patch (new): Fix FTBFS with Freetype 2.6.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 20 Sep 2015 18:13:55 +0200

pike7.8 (7.8.866-3) unstable; urgency=low

  * debian/copyright: Delete paragraph about repacked upstream tarball,
    which hasn't been the case since 7.8.700-1.
  * debian/copyright: Update from COPYRIGHT.
  * debian/copyright: Add reference to COMMITTERS.
  * Add libgtksourceview2.0-dev as a build dependency to enable the
    GTK2.SourceView module.
  * Add heimdal-dev as a build dependency to enable the Kerberos and
    GSSAPI modules. Move said modules to a new pike7.8-kerberos package.
  * smartlink_verbose.patch: Make the smartlink script print the build
    commands it's executing to allow build log checks.

 -- Magnus Holmgren <holmgren@debian.org>  Mon, 04 Aug 2014 22:32:03 +0200

=== debian/control ===
Source: pike8.0
Section: interpreters
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Magnus Holmgren <holmgren@debian.org>
Uploaders: Henrik Andreasson <debian@han.pp.se>
Standards-Version: 3.9.6
Build-Depends: dpkg-dev (>= 1.15.7), debhelper (>= 5), bison, sharutils, bc, pkg-config,
 libgmp10-dev, nettle-dev (>= 2.1~), zlib1g-dev | libz-dev,
 libbz2-dev, libgdbm-dev, unixodbc-dev, libmysqlclient-dev,
 libpq-dev, libsqlite3-dev, libpcre3-dev, libsdl-mixer1.2-dev,
 libsdl1.2-dev, libsane-dev, x11proto-gl-dev, libxpm-dev,
 libgtk2.0-dev, libglade2-dev, libgtksourceview2.0-dev,
 libfreetype6-dev, freeglut3-dev, libjpeg-dev,
 libtiff-dev, librsvg2-dev (>= 2.7), libgnomeui-dev,
 libfuse-dev, libfftw3-dev, libavahi-compat-libdnssd-dev,
 heimdal-dev
Build-Conflicts: libutahglx-dev
Homepage: http://pike.lysator.liu.se/
Vcs-Svn: svn://anonscm.debian.org/pkg-pike/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-pike/

Package: pike8.0-core
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: pike8.0-doc
Description: Powerful interpreted programming language
 Pike is an interpreted, object-oriented, dynamic programming language
 with a syntax similar to C. It includes many powerful data types and
 a module system that, for instance, provides image manipulation
 together, with support for graphics formats like SVG, JPG, PNG, GIF,
 XCF and many others, database connectivity, advanced cryptography,
 XML/HTML parsers and others. To learn more about pike, please visit
 http://pike.lysator.liu.se/ Note that some of the Pike features are
 found in other pike8.0-* packages (image processing, MySQL,
 PostgreSQL, SANE and more).

Package: pike8.0
Architecture: all
Depends: pike8.0-core (>= ${source:Version}), pike8.0-image (>= ${source:Version}), 
 pike8.0-gdbm (>= ${source:Version}), pike8.0-pcre (>= ${source:Version}), ${misc:Depends}
Recommends: pike8.0-mysql (>= ${source:Version}), pike8.0-pg (>= ${source:Version}), pike8.0-dev (>= ${source:Version})
Suggests: pike8.0-doc (= ${source:Version})
Description: Recommended metapackage for Pike 8.0
 This is a metapackage which depends upon several other Pike
 packages that together make up the recommended Pike installation.
 If you want to install every packaged component of the Pike 
 distribution, please install the pike8.0-full package.
 .
 If you want to remove several components this package depends
 upon, you can purge this package without worrying about the
 functionality loss in Pike and then remove the packages you
 don't need on your system.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike8.0-core package.

Package: pike8.0-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 pike8.0-core (= ${binary:Version}), pike8.0-image (= ${binary:Version})
Description: Development files for Pike 8.0
 This package contains files you will need to develop C extension modules 
 for Pike. The package depends on the recommended set of packages for the 
 Pike environment.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike8.0-core package.

Package: pike8.0-manual
Architecture: all
Section: oldlibs
Priority: extra
Depends: pike8.0-doc (>= 8.0.162-1~), ${misc:Depends}
Description: transitional package for merging into pike8.0-doc
 The documentation previously split between pike8.0-manual and
 pike8.0-reference has been merged into pike8.0-doc, since most of the
 size consists of images, which were duplicated in both packages.
 .
 This package can be safely removed after completed upgrade.

Package: pike8.0-reference
Architecture: all
Section: oldlibs
Priority: extra
Depends: pike8.0-doc (>= 8.0.162-1~), ${misc:Depends}
Description: Pike 8.0 reference
 The documentation previously split between pike8.0-manual and
 pike8.0-reference has been merged into pike8.0-doc, since most of the
 size consists of images, which were duplicated in both packages.
 .
 This package can be safely removed after completed upgrade.

Package: pike8.0-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Breaks: pike8.0-manual (<< 8.0.162-1~), pike8.0-reference (<< 8.0.162-1~)
Replaces: pike8.0-manual (<< 8.0.162-1~), pike8.0-reference (<< 8.0.162-1~)
Description: Pike 8.0 documentation
 This package contains the traditional manual and auto-generated
 reference documentation.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike8.0-core package.

Package: pike8.0-full
Architecture: all
Depends: ${misc:Depends}, pike8.0 (= ${source:Version}), pike8.0-mysql (>= ${source:Version}), pike8.0-pg (>= ${source:Version}), pike8.0-odbc (>= ${source:Version}), pike8.0-sdl (>= ${source:Version}), pike8.0-gdbm (>= ${source:Version}), pike8.0-gtk (>= ${source:Version}), pike8.0-gl (>= ${source:Version}), pike8.0-sane (>= ${source:Version}), pike8.0-doc (= ${source:Version}), pike8.0-dev (>= ${source:Version}), pike8.0-svg (>= ${source:Version}), pike8.0-pcre (>= ${source:Version}), pike8.0-bzip2 (>= ${source:Version}), pike8.0-fuse (>= ${source:Version}), pike8.0-sqlite (>= ${source:Version}), pike8.0-dnssd (>= ${source:Version}), pike8.0-kerberos (>= ${source:Version})
Description: Metapackage for Pike 8.0
 This package depends on all the components that make up the Pike
 language distribution. It will pull in a LOT of packages the
 Pike components depend upon (including XFree libraries, GTK+, GNOME)!
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike8.0-core package.

Package: pike8.0-mysql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike8.0-core (= ${binary:Version})
Description: MySQL modules for Pike
 This package contains Pike modules providing access to MySQL
 databases: Mysql and Sql.mysql(s).
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike8.0-core package.

Package: pike8.0-pg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike8.0-core (= ${binary:Version})
Description: PostgreSQL modules for Pike
 This package contains Pike module providing access to PostgreSQL
 databases: Postgres, Sql.postgres, and Sql.postgres_result.
 .
 Note: These modules are deprecated in favour of the pure Pike
 Sql.pgsql module, which is included in the core package.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike8.0-core package.

Package: pike8.0-odbc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike8.0-core (= ${binary:Version})
Description: ODBC modules for Pike
 This package contains Pike modules providing glue to the ODBC
 interface: Odbc, Sql.odbc, and Sql.odbc_result.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike8.0-core package.

Package: pike8.0-svg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike8.0-core (= ${binary:Version})
Suggests: pike8.0-image (= ${source:Version})
Description: SVG format support for Pike
 This package provides an SVG graphics format module, Image.SVG. It
 has been separated from the pike8.0-image module because of its quite
 extensive dependencies.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike8.0-core package.

Package: pike8.0-image
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike8.0-core (= ${binary:Version})
Suggests: pike8.0-svg (= ${source:Version})
Description: Image modules for Pike
 This package provides many powerful image processing functions to
 Pike programs. It contains the modules Image (except Image.SVG),
 Graphics, Colors, and Protocols.X.XImage.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike8.0-core package.

Package: pike8.0-sdl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike8.0-core (= ${binary:Version})
Description: SDL module for Pike
 This module provides the Pike interface to the SDL library.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike8.0-core package.

Package: pike8.0-gdbm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike8.0-core (= ${binary:Version})
Description: Gdbm module for Pike
 This Pike module provides access to gdbm databases.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike8.0-core package.

Package: pike8.0-gtk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike8.0-core (= ${binary:Version}),
 pike8.0-image (= ${binary:Version})
Description: GTK+ 2.0 module for Pike
 This Pike module provides access to the GTK+ 2.0 library.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike8.0-core package.

Package: pike8.0-gl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike8.0-core (= ${binary:Version})
Description: Mesa modules for Pike
 This package contains the Pike modules providing access to the Mesa
 3D graphics library: GL, GLU (GL Utilities), and GLUE (GL Universal
 Environment).
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike8.0-core package.

Package: pike8.0-sane
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike8.0-core (= ${binary:Version})
Description: SANE module for Pike
 This Pike module provides access to SANE.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike8.0-core package.

Package: pike8.0-pcre
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike8.0-core (= ${binary:Version})
Description: PCRE module for Pike
 This Pike module (Regexp.PCRE) enables one to use the PCRE (Perl
 compatible regular expressions) library from within the Pike
 programs.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike8.0-core package.

Package: pike8.0-bzip2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike8.0-core (= ${binary:Version})
Description: Bzip2 module for Pike
 This Pike module enables one to use the Bzip2 compression
 algorithm from within the Pike programs.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike8.0-core package.

Package: pike8.0-fuse
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike8.0-core (= ${binary:Version})
Description: Filesystem in USErspace support for Pike
 This Pike module enables one to export filesystems to the Linux
 kernel using the FUSE library.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike8.0-core package.

Package: pike8.0-sqlite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike8.0-core (= ${binary:Version})
Description: SQLite module for Pike
 This Pike module enables one to use the SQLite embedded database
 library.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike8.0-core package.

Package: pike8.0-dnssd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike8.0-core (= ${binary:Version})
Description: DNS Service Discovery (DNS-SD) for Pike
 This Pike module enables one to take advantage of DNS service discovery.
 .
 DNS Service Discovery is a way of using standard DNS programming interfaces,
 servers, and packet formats to browse the network for services.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike8.0-core package.

Package: pike8.0-kerberos
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike8.0-core (= ${binary:Version})
Replaces: pike8.0-core (<< 8.0.28-4~)

=== debian/watch ===
version=3

http://pike.lysator.liu.se/download/pub/pike/beta/(8\.0\.\d+)/ .*/Pike-v(8\.0\.\d+)\.tar\.(?:gz|bz2|xz)
http://pike.lysator.liu.se/download/pub/pike/all/(8\.0\.\d+)/ .*/Pike-v(8\.0\.\d+)\.tar\.(?:gz|bz2|xz)

## pike8.0 8.0.276

=== debian/changelog ===
pike8.0 (8.0.276-1) unstable; urgency=low

  * New upstream stable release.
  * autodoc.patch: incorporated upstream except for one hunk.
  * Bump Standards-Version to 3.9.8.

 -- Magnus Holmgren <holmgren@debian.org>  Fri, 29 Jul 2016 11:43:58 +0200

pike8.0 (8.0.240-1) unstable; urgency=low

  * New upstream stable release.
  * autodoc.patch (new): Fix typos in inline documentation that broke some
    of it.

 -- Magnus Holmgren <holmgren@debian.org>  Mon, 30 May 2016 22:40:06 +0200

pike8.0 (8.0.182-1) unstable; urgency=low

  * New upstream stable release.
  * Remove unnecessary files from the tzdata directory of the Calendar
    module.
  * Remove execute permission from .h files.
  * Bump Standards-Version to 3.9.7.

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 26 Mar 2016 00:13:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: pike8.0
 Section: interpreters
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Magnus Holmgren <holmgren@debian.org>
+Maintainer: Magnus Holmgren <holmgren@debian.org>
 Uploaders: Henrik Andreasson <debian@han.pp.se>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends: dpkg-dev (>= 1.15.7), debhelper (>= 5), bison, sharutils, bc, pkg-config,
  libgmp10-dev, nettle-dev (>= 2.1~), zlib1g-dev | libz-dev,
  libbz2-dev, libgdbm-dev, unixodbc-dev, libmysqlclient-dev,
@@ -277,3 +276,5 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, pike8.0-core (= ${binary:Version})
 Replaces: pike8.0-core (<< 8.0.28-4~)
+Breaks: pike8.0-core (<< 8.0.28-4~)
+Description: Kerberos and GSSAPI modules for Pike

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.
#
# $Id: rules,v 1.64 2006/08/05 15:49:18 grendel Exp $
#

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

ifdef CCVER
CC=gcc-$(CCVER)
else
CC=gcc
endif

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFARGSEXTRA := --with-cdebug

ifneq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
export CC=$(DEB_HOST_GNU_TYPE)-gcc
CFARGSEXTRA += --host=$(DEB_HOST_GNU_TYPE)
endif

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
CFARGSEXTRA += --without-copt
else
  ifneq (,$(filter $(DEB_HOST_ARCH), i386))
    CFARGSEXTRA += --without-copt
    export DEB_CFLAGS_MAINT_STRIP := -O2 -O3
    export DEB_CFLAGS_MAINT_PREPEND := -O1
  else
    CFARGSEXTRA += --with-copt
  endif
endif

ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
CFARGSEXTRA += --with-rtldebug
else
CFARGSEXTRA += --without-rtldebug
endif

# Temporary workaround for hppa linker issues
ifeq ($(DEB_BUILD_ARCH),hppa)
export DEB_CFLAGS_MAINT_APPEND += -ffunction-sections
endif

EXTRA_ARGS=

export DEB_CPPFLAGS_MAINT_APPEND := -DDEBIAN
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

DO_MACHINE_CODE=no
ifeq ($(DEB_HOST_ARCH),i386)
DO_MACHINE_CODE=yes
endif
ifeq ($(DEB_HOST_ARCH),powerpc)
DO_MACHINE_CODE=yes
endif
ifeq ($(DEB_BUILD_ARCH),sparc)
DO_MACHINE_CODE=no
endif

ifeq ($(DO_MACHINE_CODE),yes)
MACHINE_OPTS=--with-machine-code
else
MACHINE_OPTS=--without-machine-code
endif

#DEBVERSION:=$(shell dpkg-parsechangelog | sed -ne 's/Version: *\(.*\)-.*$$/\1/p')
DEBVERSION:=$(shell dpkg-parsechangelog | grep "Version:" | cut -d" " -f2 | cut -d"-" -f1)
MAJOR:=$(shell sed -ne 's/major://p' buildid.txt)
MINOR:=$(shell sed -ne 's/minor://p' buildid.txt)
BUILD:=$(shell sed -ne 's/build://p' buildid.txt)
PIKEV:=$(MAJOR).$(MINOR)
VERSION:=$(MAJOR).$(MINOR).$(BUILD)
PIKE:=pike$(PIKEV)

ifneq ($(VERSION),$(DEBVERSION))
$(error Version mismatch; buildid.txt: $(VERSION), debian/changelog: $(DEBVERSION))
endif

# --with-lib-path is just to stop configure from adding all the
# standard library directories with -L as well as -R to LDFLAGS
CFARGS=$(CFARGSEXTRA) \
       --with-cflags='`dpkg-buildflags --get CFLAGS`' \
       --with-cppflags='`dpkg-buildflags --get CPPFLAGS`' \
       --with-ldflags='`dpkg-buildflags --get LDFLAGS`' \
       --prefix=/usr \
       --with-bignums \
       --with-gmp \
       --with-poll \
       --with-zlib \
       --with-freetype \
       --without-ttflib \
       --with-libnettle \
       --without-sybase \
       --without-java \
       --with-odbc \
       --with-sane \
       --with-postgres \
       --with-postgres-include-dir=`pg_config --includedir` \
       --with-libpq-dir=/usr/lib \
       --without-ffmpeg \
       --without-fftw \
       --without-libpdf \
       --without-libpanda \
       --without-GTK \
       --with-GTK2 \
       --without-bundles \
       --without-oracle \
       --without-dvb \
       --with-sqlite \
       --disable-rpath \
       --disable-smartlink_binary \
       $(MACHINE_OPTS) $(EXTRA_ARGS)

include_prefix=/usr/include/pike$(PIKEV)/pike
lib_prefix=/usr/lib/pike$(PIKEV)

MODULE_PACKAGES=$(shell dh_listpackages -a -N $(PIKE)-core)
#{ADT,Array,Audio,Cache,Calendar,Calendar_I,COM,Colors,CommonLog,Crypto,Debug,Filesystem,Error,Float,Function,Geography,Getopt,Gettext,Gmp,Graphics,Gz,HTTPAccept,Int,Kerberos,Languages,Local,Locale,Mapping,Math,MIME,Mird,Multiset,Nettle,Parser,Pike,Pipe,Process,Program,Protocols,Regexp,Remote,SSL,Shuffler,Standards,Stdio,String,System,Thread,Tools,Unicode,Web,Yabu,Yp,_ADT,_Charset,_Roxen,___Gz,___MIME,___Math,___Mird,___Regexp,___Yp,____Charset,__builtin*,spider}.
#usr/lib/pike/*/modules/Sql.pmod/{module,Sql,rsql,sql_*}.*

excluded_modules:=Ssleay Mird Msql msql PDF Ffmpeg Oracle oracle sybase DVB Java TTF Gnome GDK GTKSupport ZXID
# This is tricky. Note that it's only possible for an exclusion to match the last
# component specified in an .install file or on the command line, and below.
DH_EXCLUDE:=$(addprefix -X,$(excluded_modules) README NEWS LICENSE CONTRIBUTING Makefile)
DH_ALREADY=`for p in $(MODULE_PACKAGES); do \
	      find debian/$$p/usr/lib/pike?.?/* -type f -printf "-X%P "; done`

TMP=$(CURDIR)/debian/tmp

#export CFLAGS CC PIKE VERSION
export CC

build-arch: build-arch-stamp
build-arch-stamp:
	dh_testdir
	$(MAKE) compile CONFIGUREARGS="$(CFARGS)"
	touch build-arch-stamp

build-indep: build-indep-stamp
build-indep-stamp:
	dh_testdir
	$(MAKE) documentation CONFIGUREARGS="$(CFARGS)"
	touch build-indep-stamp

build: build-arch

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp build-arch-stamp build-indep-stamp configure-stamp
	$(MAKE) distclean
	rm -rf refdoc/modref refdoc/traditional_manual
	dh_clean

install: DH_OPTIONS=
install: build-arch
	dh_testdir
	dh_testroot
	dh_prep
	$(MAKE) INSTALLARGS=--traditional \
		buildroot=$(TMP) \
		prefix=/usr \
		man_prefix=/usr/share/man \
		lib_prefix="$(lib_prefix)" \
		include_prefix="$(include_prefix)" \
		pike_name=/usr/bin/$(PIKE) \
		install_nodoc

#	Some cleaning
	find "$(TMP)$(lib_prefix)" -name '.autodoc' -type f -exec rm -f '{}' ';'

	install -d -m755 $(TMP)/usr/share/pixmaps
	install -m644 debian/pike.xpm $(TMP)/usr/share/pixmaps/$(PIKE).xpm
	mv $(TMP)/usr/bin/pike $(TMP)/usr/bin/$(PIKE)
	mv $(TMP)/usr/share/man/man1/pike.1 $(TMP)/usr/share/man/man1/$(PIKE).1

#	Simply strip exec permissions and shebangs from all pike scripts.
	find $(TMP)/usr -type f '(' -name '*.p*' -o -name '*.h' ')' \
		-execdir chmod -x '{}' + \
		-execdir sed -rsi -e '1!b;/^#!/d' '{}' +

#	Install our own, simpler specs file.
	sed -e "s;@include_prefix@;$(include_prefix);g" \
	    -e "s;@CONFIGURE_ARGS@;$(CFARGS);g" \
	    debian/specs.in > $(TMP)$(include_prefix)/specs

#	Fix precompike.pike
	sed -i -e "s%\.\./lib%$(lib_prefix)%" $(TMP)$(include_prefix)/precompile.pike

# 	# pike -x module fix
#	sed -i -e 's;\$$(MODULE_BASE)/dynamic_module_makefile;\$$(PIKE_SRC_DIR)/modules/dynamic_module_makefile;g' \
#		$(TMP)$(include_prefix)/modules/dynamic_module_makefile

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build-indep
	dh_testdir -i
	dh_testroot -i
	# install the docs
	dh_install -p$(PIKE)-doc -Ximages refdoc/traditional_manual/* usr/share/doc/$(PIKE)-doc/html/manual
	dh_install -p$(PIKE)-doc refdoc/modref/* usr/share/doc/$(PIKE)-doc/html/reference
	dh_link -p$(PIKE)-doc usr/share/doc/$(PIKE)-doc/html/reference/images usr/share/doc/$(PIKE)-doc/html/manual/images
	dh_install -i
	dh_installdocs -i
	dh_installchangelogs -i -k CHANGES
	dh_lintian -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build-arch install
	dh_testdir -a
	dh_testroot -a
	dh_install -a -N$(PIKE)-core --sourcedir=debian/tmp $(DH_EXCLUDE)
	dh_install -p$(PIKE)-core --sourcedir=debian/tmp $(DH_EXCLUDE) $(DH_ALREADY)
	for p in $(MODULE_PACKAGES); do \
		sed "s/#PACKAGE#/$$p/" debian/prerm-snippet >> debian/$$p.prerm.debhelper; \
	done
	dh_installdocs -a --link-doc=$(PIKE)-core
	dh_installmenu -a
	dh_installchangelogs -a -k CHANGES
	dh_lintian -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a -X/run_autoconfig -X/precompile.sh -X/smartlink -X/fixdepends.sh -X/install_module -X/mktestsuite
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## pike8.0 8.0.370

=== refdoc/Makefile ===
#
# Main Makefile for extracting AutoDoc mk II to XML
#
# Henrik Grubbstrm 2001-02-02
#

# make devel can be used if changes are made only to the CSS or JS and you
# don't feel like recompiling the entire doc to test the changes

BUILDDIR=
DESTDIR=
PIKE=pike

all: modref traditional

pike.ida.liu.se: modref traditional

# These are the actual build targets for making manuals...

modref: $(BUILDDIR)/modref.xml structure/modref.css structure/modref.html \
	  structure/modref.js presentation/make_html.pike presentation/tree-split-autodoc.pike
	@$(MAKE) PIKE="$(PIKE)" BUILDDIR="$(BUILDDIR)" DESTDIR="$(DESTDIR)" low_modref

module_modref: $(BUILDDIR)/module_modref.xml structure/modref.css structure/modref.html \
	  structure/modref.js presentation/make_html.pike presentation/tree-split-autodoc.pike
	@$(MAKE) PIKE="$(PIKE)" BUILDDIR="$(BUILDDIR)" DESTDIR="$(DESTDIR)" low_module_modref

low_module_modref:
	-rm -rf $(DESTDIR)modref
	@mkdir $(DESTDIR)modref
	@cp structure/modref.css $(DESTDIR)modref/style.css
	@cp structure/modref.js $(DESTDIR)modref/site.js
	@$(PIKE) presentation/tree-split-autodoc.pike \
	  $(BUILDDIR)/module_modref.xml structure/modref.html $(DESTDIR)modref predef
	@mkdir $(DESTDIR)modref/images
	-cp $(BUILDDIR)/doc_build/images/* $(DESTDIR)modref/images
	@for file in pike-logo.svg pike-logo.png next.gif prev.gif unit.gif \
          pike_line_left.gif pike_line_middle.gif pike_line_right.gif \
          eye-slash.svg; do \
	  cp src_images/$$file $(DESTDIR)modref/images/ ; done

low_modref:
	-rm -rf $(DESTDIR)modref
	@test -d $(DESTDIR)modref || mkdir modref
	@cp structure/modref.css $(DESTDIR)modref/style.css
	@cp structure/modref.js $(DESTDIR)modref/site.js
	@$(PIKE) presentation/tree-split-autodoc.pike \
	  $(BUILDDIR)/modref.xml structure/modref.html $(DESTDIR)modref predef
	@test -d $(DESTDIR)modref/images || mkdir $(DESTDIR)modref/images
	-cp $(BUILDDIR)/doc_build/images/* $(DESTDIR)modref/images
	@for file in pike-logo.svg pike-logo.png next.gif prev.gif unit.gif \
          pike_line_left.gif pike_line_middle.gif pike_line_right.gif \
          eye-slash.svg; do \
	  cp src_images/$$file $(DESTDIR)modref/images/ ; done

devel:
	@cp structure/modref.css $(DESTDIR)modref/style.css
	@cp structure/modref.js $(DESTDIR)modref/site.js
	@for file in pike-logo.svg pike-logo.png next.gif prev.gif unit.gif \
          pike_line_left.gif pike_line_middle.gif pike_line_right.gif \
          eye-slash.svg; do \
	  cp src_images/$$file $(DESTDIR)modref/images/ ; done

one_page: onepage $(BUILDDIR)/onepage.xml presentation/make_html.pike
	@$(MAKE) PIKE="$(PIKE)" BUILDDIR="$(BUILDDIR)" low_one_page

low_one_page:
	cp $(BUILDDIR)/doc_build/images/* onepage/
	@$(PIKE) presentation/make_html.pike --img= $(BUILDDIR)/onepage.xml

traditional: traditional_manual $(BUILDDIR)/traditional.xml presentation/make_html.pike
	@$(MAKE) PIKE="$(PIKE)" BUILDDIR="$(BUILDDIR)" DESTDIR="$(DESTDIR)" low_traditional

low_traditional:
	cp $(BUILDDIR)/doc_build/images/* $(DESTDIR)traditional_manual/images/
	cp structure/modref.css traditional_manual/modref.css
	@$(PIKE) presentation/make_html.pike --dest=$(DESTDIR) --img=images/ \
		--template=structure/chapters.html $(BUILDDIR)/traditional.xml

# Sub targets used by the above targets.

always:

images: $(BUILDDIR)/doc_build/src/post_modules/GTK2/refdoc/images
	@cp ../src/post_modules/GTK2/refdoc/images/*.png \
	  $(BUILDDIR)/doc_build/src/post_modules/GTK2/refdoc/images

# Directories

onepage:
	@test -d onepage || mkdir onepage

traditional_manual:
	@test -d traditional_manual || mkdir traditional_manual
	@test -d traditional_manual/images || mkdir traditional_manual/images


# Development targets

touch-mirardoc:
	@touch `grep -r \\*\\*\! ../src/modules/* | cut -d: -f1 | \
	  uniq`
	@touch `grep -r "//\! module" ../lib/modules/* | cut -d: -f1 | \
	  uniq`


# Cleanup

clean:
	-rm -fr modref onepage traditional_manual pelix_modref

## pike8.0 8.0.388

=== debian/changelog ===
pike8.0 (8.0.388-2) unstable; urgency=low

  * Run src/run_autoconfig before compiling and run configure in a
    separate target; don't patch configure scripts, only their
    configure.in sources. Also refresh patches and augment some
    descriptions. This also avoids problems with configure complaining
    about being last changed in the future when it was in fact last
    changed right now.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 15 Jan 2017 22:26:12 +0100

pike8.0 (8.0.388-1) unstable; urgency=low

  * New upstream stable release.
  * debian/watch: stop looking for beta versions.

 -- Magnus Holmgren <holmgren@debian.org>  Tue, 10 Jan 2017 20:18:50 +0100

pike8.0 (8.0.370-1) unstable; urgency=low

  * New upstream stable release.
  * debian/rules fixes: Add build-indep as a prerequisite of the build
    target now that autobuilders use build-arch; declare build-indep and
    build-arch phony; various cleanup.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 18 Dec 2016 22:15:56 +0100

pike8.0 (8.0.358-1) unstable; urgency=low

  * New upstream stable release.
  * Drop autodoc.patch; fully incorporated upstream.
  * Build-Depend on default-libmysqlclient-dev instead of
    libmysqlclient-dev.
  * Switch to Debhelper compat level 9.
  * Build against libkrb5-dev instead of heimdal-dev (Closes: #845146).
  * dont_disable_debug_symbols.patch (new): Leave debug symbol and
    optimization flags alone when building GL and GTK2 modules.

 -- Magnus Holmgren <holmgren@debian.org>  Tue, 22 Nov 2016 23:14:34 +0100

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,17 @@
 Maintainer: Magnus Holmgren <holmgren@debian.org>
 Uploaders: Henrik Andreasson <debian@han.pp.se>
 Standards-Version: 3.9.8
-Build-Depends: dpkg-dev (>= 1.15.7), debhelper (>= 5), bison, sharutils, bc, pkg-config,
+Build-Depends: dpkg-dev (>= 1.15.7), debhelper (>= 9), bison,
+ sharutils, bc, pkg-config, dh-autoreconf,
  libgmp10-dev, nettle-dev (>= 2.1~), zlib1g-dev | libz-dev,
- libbz2-dev, libgdbm-dev, unixodbc-dev, libmysqlclient-dev,
+ libbz2-dev, libgdbm-dev, unixodbc-dev, default-libmysqlclient-dev,
  libpq-dev, libsqlite3-dev, libpcre3-dev, libsdl-mixer1.2-dev,
  libsdl1.2-dev, libsane-dev, x11proto-gl-dev, libxpm-dev,
  libgtk2.0-dev, libglade2-dev, libgtksourceview2.0-dev,
  libfreetype6-dev, freeglut3-dev, libjpeg-dev,
  libtiff-dev, librsvg2-dev (>= 2.7), libgnomeui-dev,
  libfuse-dev, libfftw3-dev, libavahi-compat-libdnssd-dev,
- heimdal-dev
+ libkrb5-dev
 Build-Conflicts: libutahglx-dev
 Homepage: http://pike.lysator.liu.se/
 Vcs-Svn: svn://anonscm.debian.org/pkg-pike/trunk

## pike8.0 8.0.438

=== debian/changelog ===
pike8.0 (8.0.438-1) unstable; urgency=low

  * New upstream stable release.

 -- Magnus Holmgren <holmgren@debian.org>  Wed, 26 Jul 2017 10:37:58 +0200

## pike8.0 8.0.498

=== debian/changelog ===
pike8.0 (8.0.498-1build1) bionic; urgency=medium

  * Rebuild against new libgdbm5.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 02 Feb 2018 15:26:41 +0100

pike8.0 (8.0.498-1) unstable; urgency=low

  * New upstream stable release.
  * Replace Priority: extra with Priority: optional.
  * Make the module dumping trigger "noawait", as Lintian suggests is the
    right thing for packages that use the trigger to compile a form of
    cache.
  * Bump Standards-Version to 4.1.1.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 12 Nov 2017 00:17:52 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Magnus Holmgren <holmgren@debian.org>
 Uploaders: Henrik Andreasson <debian@han.pp.se>
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Build-Depends: dpkg-dev (>= 1.15.7), debhelper (>= 9), bison,
  sharutils, bc, pkg-config, dh-autoreconf,
  libgmp10-dev, nettle-dev (>= 2.1~), zlib1g-dev | libz-dev,
@@ -70,7 +70,6 @@
 Package: pike8.0-manual
 Architecture: all
 Section: oldlibs
-Priority: extra
 Depends: pike8.0-doc (>= 8.0.162-1~), ${misc:Depends}
 Description: transitional package for merging into pike8.0-doc
  The documentation previously split between pike8.0-manual and
@@ -82,7 +81,6 @@
 Package: pike8.0-reference
 Architecture: all
 Section: oldlibs
-Priority: extra
 Depends: pike8.0-doc (>= 8.0.162-1~), ${misc:Depends}
 Description: Pike 8.0 reference
  The documentation previously split between pike8.0-manual and

=== debian/rules ===
--- 
+++ 
@@ -143,29 +143,34 @@
 #export CFLAGS CC PIKE VERSION
 export CC
 
+configure: configure-stamp
+configure-stamp:
+	dh_autoreconf src/run_autoconfig
+	$(MAKE) force_configure CONFIGUREARGS="$(CFARGS)"
+	touch configure-stamp
+
 build-arch: build-arch-stamp
-build-arch-stamp:
-	dh_testdir
-	$(MAKE) compile CONFIGUREARGS="$(CFARGS)"
+build-arch-stamp: configure
+	dh_testdir
+	$(MAKE) compile
 	touch build-arch-stamp
 
 build-indep: build-indep-stamp
-build-indep-stamp:
-	dh_testdir
-	$(MAKE) documentation CONFIGUREARGS="$(CFARGS)"
+build-indep-stamp: configure
+	dh_testdir
+	$(MAKE) documentation
 	touch build-indep-stamp
 
-build: build-arch
+build: build-arch build-indep
 
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp build-arch-stamp build-indep-stamp configure-stamp
 	$(MAKE) distclean
 	rm -rf refdoc/modref refdoc/traditional_manual
+	dh_autoreconf_clean
 	dh_clean
 
-install: DH_OPTIONS=
 install: build-arch
 	dh_testdir
 	dh_testroot
@@ -248,4 +253,3 @@
 	dh_builddeb -a
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3

http://pike.lysator.liu.se/download/pub/pike/all/(8\.0\.\d+)/ .*/Pike-v(8\.0\.\d+)\.tar\.(?:gz|bz2|xz)

## pike8.0 8.0.610

=== debian/changelog ===
pike8.0 (8.0.610-1build1) cosmic; urgency=medium

  * No-change rebuild against libsass1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 09 Jul 2018 17:27:59 +0000

pike8.0 (8.0.610-1) unstable; urgency=low

  * New upstream release.
  * New package pike8.0-web-sass for the new Web.Sass module, which links
    with libsass.
  * Drop misplaced_MAXPATHLEN.patch; obsolete.
  * Drop support for GTK+ 2 (Closes: #885673).
  * no_nostartfiles.patch: Don't use -nostartfiles when linking shared
    modules (Closes: #892574). Thanks to Adrian Bunk.
  * postgres_10_detect.patch (from upstream): Detect Postgres 10.x and
    later.
  * Switch VCS URLs after Alioth decommissioned.
  * Add lib-dev as build dependency so that Image.WebP can actually work.
  * Exclude modules FSEvents (only works on MacOS X), COM (only works on
    Windows), and VCDiff (requires the open-vcdiff library).
  * Bump Standards-Version to 4.1.4.
  * Remove inactive uploader from debian/control.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 24 Jun 2018 01:07:57 +0200

## pike8.0 8.0.702

=== packaging/windows/Makefile ===

BUILD=../../build/winpkg

GIMP_HOME = http://www.gimp.org/~tml/gimp/win32
GLIB_ARCH = glib-2.0.4-20020703.zip
GLIB_URL  = $(GIMP_HOME)/$(GLIB_ARCH)
ICONV_ARCH = libiconv-1.7.zip
ICONV_URL  = $(GIMP_HOME)/$(ICONV_ARCH)
INTL_ARCH = libintl-0.10.40-20020310.zip
INTL_URL  = $(GIMP_HOME)/$(INTL_ARCH)
GTK_ARCH  = gtk+-1.3.0-20020801.zip
GTK_URL   = $(GIMP_HOME)/$(GTK_ARCH)
Z_ARCH    = zlib-1.1.3.zip
Z_URL     = $(GIMP_HOME)/$(Z_ARCH)
PNG_ARCH  = libpng-1.2.0.zip
PNG_URL   = $(GIMP_HOME)/$(PNG_ARCH)
JPEG_ARCH = libjpeg-6b.zip
JPEG_URL  = $(GIMP_HOME)/$(JPEG_ARCH)
TIFF_ARCH = libtiff-3.5.7.zip
TIFF_URL  = $(GIMP_HOME)/$(TIFF_ARCH)
FREETYPE_ARCH = freetype-2.0.5-20020112.zip
FREETYPE_URL  = $(GIMP_HOME)/$(FREETYPE_ARCH)

dlls: glib gtk zlib libpng libjpeg libtiff freetype

glib: libiconv libintl $(BUILD)
	(cd $(BUILD) && wget $(GLIB_URL))
	mkdir $(BUILD)/tmp
	(cd $(BUILD)/tmp && unzip ../$(GLIB_ARCH) && mv lib/libglib-2.0-0.dll ..)
	(cd $(BUILD)/tmp && mv lib/libgmodule-2.0-0.dll ..)
	(cd $(BUILD)/tmp && mv lib/libgobject-2.0-0.dll ..)
	(cd $(BUILD)/tmp && mv lib/libgthread-2.0-0.dll ..)
	rm -r $(BUILD)/tmp
	rm $(BUILD)/$(GLIB_ARCH)

libiconv: $(BUILD)
	(cd $(BUILD) && wget $(ICONV_URL))
	(make extract ARCHIVE=$(ICONV_ARCH) FILE=lib/iconv.dll)

libintl: $(BUILD)
	(cd $(BUILD) && wget $(INTL_URL))
	(make extract ARCHIVE=$(INTL_ARCH) FILE=lib/libintl-1.dll)

gtk: $(BUILD)
	(cd $(BUILD) && wget $(GTK_URL))
	mkdir $(BUILD)/tmp
	(cd $(BUILD)/tmp && unzip ../$(GTK_ARCH) && mv lib/libgtk-0.dll ..)
	(cd $(BUILD)/tmp && mv lib/libgdk-0.dll ..)
	rm -r $(BUILD)/tmp
	rm $(BUILD)/$(GTK_ARCH)

zlib: $(BUILD)
	(cd $(BUILD) && wget $(Z_URL))
	(make extract ARCHIVE=$(Z_ARCH) FILE=lib/libz.dll)

libpng: $(BUILD)
	(cd $(BUILD) && wget $(PNG_URL))
	(make extract ARCHIVE=$(PNG_ARCH) FILE=lib/libpng-3.dll)

libjpeg: $(BUILD)
	(cd $(BUILD) && wget $(JPEG_URL))
	(make extract ARCHIVE=$(JPEG_ARCH) FILE=lib/libjpeg6b.dll)

libtiff: $(BUILD)
	(cd $(BUILD) && wget $(TIFF_URL))
	(make extract ARCHIVE=$(TIFF_ARCH) FILE=lib/libtiff.dll)

freetype: $(BUILD)
	(cd $(BUILD) && wget $(FREETYPE_URL))
	(make extract ARCHIVE=$(FREETYPE_ARCH) FILE=lib/libfreetype-6.dll)

extract:
	mkdir $(BUILD)/tmp
	(cd $(BUILD)/tmp && unzip ../$(ARCHIVE) && mv $(FILE) ..)
	rm -r $(BUILD)/tmp
	rm $(BUILD)/$(ARCHIVE)


$(BUILD): ../../build
	@test -d $(BUILD) || mkdir $(BUILD)

../../build:
	@test -d ../../build || mkdir ../../build

=== debian/changelog ===
pike8.0 (8.0.702-1ubuntu1) focal; urgency=medium

  * d/p/mysql8_my_bool.patch: Reintroduce my_bool to fix build with MySQL 8.
    (LP: #1863026)

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 14 Feb 2020 15:13:41 -0300

pike8.0 (8.0.702-1build3) focal; urgency=medium

  * No-change rebuild against libnettle7

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 31 Oct 2019 22:14:06 +0000

pike8.0 (8.0.702-1build2) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 11:06:36 +0000

pike8.0 (8.0.702-1build1) eoan; urgency=medium

  * No change rebuild for libmysqlclient21.

 -- Robie Basak <robie.basak@ubuntu.com>  Mon, 12 Aug 2019 02:04:01 +0000

pike8.0 (8.0.702-1) unstable; urgency=low

  * New upstream release.
    * Drop postgres_10_detect.patch; now included upstream.
  * freetype-pkgconfig.patch: Support recent versions of libfreetype that
    (only) provide pkg-config files.

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 26 Jan 2019 22:48:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: pike8.0
 Section: interpreters
 Priority: optional
-Maintainer: Magnus Holmgren <holmgren@debian.org>
-Uploaders: Henrik Andreasson <debian@han.pp.se>
-Standards-Version: 4.1.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Magnus Holmgren <holmgren@debian.org>
+Standards-Version: 4.1.4
 Build-Depends: dpkg-dev (>= 1.15.7), debhelper (>= 9), bison,
  sharutils, bc, pkg-config, dh-autoreconf,
  libgmp10-dev, nettle-dev (>= 2.1~), zlib1g-dev | libz-dev,
  libbz2-dev, libgdbm-dev, unixodbc-dev, default-libmysqlclient-dev,
  libpq-dev, libsqlite3-dev, libpcre3-dev, libsdl-mixer1.2-dev,
  libsdl1.2-dev, libsane-dev, x11proto-gl-dev, libxpm-dev,
- libgtk2.0-dev, libglade2-dev, libgtksourceview2.0-dev,
  libfreetype6-dev, freeglut3-dev, libjpeg-dev,
- libtiff-dev, librsvg2-dev (>= 2.7), libgnomeui-dev,
+ libtiff-dev, librsvg2-dev (>= 2.7),
  libfuse-dev, libfftw3-dev, libavahi-compat-libdnssd-dev,
- libkrb5-dev
+ libkrb5-dev, libsass-dev, libwebp-dev
 Build-Conflicts: libutahglx-dev
 Homepage: http://pike.lysator.liu.se/
-Vcs-Svn: svn://anonscm.debian.org/pkg-pike/trunk
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-pike/
+Vcs-Svn: svn://svn.kibibyte.se/pike/trunk
+Vcs-Browser: http://svn.kibibyte.se/pike/
 
 Package: pike8.0-core
 Architecture: any
@@ -82,7 +81,7 @@
 Architecture: all
 Section: oldlibs
 Depends: pike8.0-doc (>= 8.0.162-1~), ${misc:Depends}
-Description: Pike 8.0 reference
+Description: transitional package for merging into pike8.0-doc
  The documentation previously split between pike8.0-manual and
  pike8.0-reference has been merged into pike8.0-doc, since most of the
  size consists of images, which were duplicated in both packages.
@@ -104,11 +103,11 @@
 
 Package: pike8.0-full
 Architecture: all
-Depends: ${misc:Depends}, pike8.0 (= ${source:Version}), pike8.0-mysql (>= ${source:Version}), pike8.0-pg (>= ${source:Version}), pike8.0-odbc (>= ${source:Version}), pike8.0-sdl (>= ${source:Version}), pike8.0-gdbm (>= ${source:Version}), pike8.0-gtk (>= ${source:Version}), pike8.0-gl (>= ${source:Version}), pike8.0-sane (>= ${source:Version}), pike8.0-doc (= ${source:Version}), pike8.0-dev (>= ${source:Version}), pike8.0-svg (>= ${source:Version}), pike8.0-pcre (>= ${source:Version}), pike8.0-bzip2 (>= ${source:Version}), pike8.0-fuse (>= ${source:Version}), pike8.0-sqlite (>= ${source:Version}), pike8.0-dnssd (>= ${source:Version}), pike8.0-kerberos (>= ${source:Version})
+Depends: ${misc:Depends}, pike8.0 (= ${source:Version}), pike8.0-mysql (>= ${source:Version}), pike8.0-pg (>= ${source:Version}), pike8.0-odbc (>= ${source:Version}), pike8.0-sdl (>= ${source:Version}), pike8.0-gdbm (>= ${source:Version}), pike8.0-gl (>= ${source:Version}), pike8.0-sane (>= ${source:Version}), pike8.0-doc (= ${source:Version}), pike8.0-dev (>= ${source:Version}), pike8.0-svg (>= ${source:Version}), pike8.0-pcre (>= ${source:Version}), pike8.0-bzip2 (>= ${source:Version}), pike8.0-fuse (>= ${source:Version}), pike8.0-sqlite (>= ${source:Version}), pike8.0-dnssd (>= ${source:Version}), pike8.0-kerberos (>= ${source:Version})
 Description: Metapackage for Pike 8.0
  This package depends on all the components that make up the Pike
  language distribution. It will pull in a LOT of packages the
- Pike components depend upon (including XFree libraries, GTK+, GNOME)!
+ Pike components depend upon!
  .
  Pike is an interpreted programming language, for more information 
  see the description of the pike8.0-core package.
@@ -188,16 +187,6 @@
  Pike is an interpreted programming language, for more information 
  see the description of the pike8.0-core package.
 
-Package: pike8.0-gtk
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, pike8.0-core (= ${binary:Version}),
- pike8.0-image (= ${binary:Version})
-Description: GTK+ 2.0 module for Pike
- This Pike module provides access to the GTK+ 2.0 library.
- .
- Pike is an interpreted programming language, for more information 
- see the description of the pike8.0-core package.
-
 Package: pike8.0-gl
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, pike8.0-core (= ${binary:Version})
@@ -277,3 +266,14 @@
 Replaces: pike8.0-core (<< 8.0.28-4~)
 Breaks: pike8.0-core (<< 8.0.28-4~)
 Description: Kerberos and GSSAPI modules for Pike
+ This package contains the Kerberos and GSSAPI Pike modules (although
+ GSSAPI is a generic API; Kerberos is the most common mechanism),
+ providing bindings to the MIT Kerberos libraries.
+ .
+ Pike is an interpreted programming language, for more information 
+ see the description of the pike8.0-core package.
+
+Package: pike8.0-web-sass
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, pike8.0-core (= ${binary:Version})
+Description: Sass CSS precompiler modules for Pike
